> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/knowledge-base/list-agents-using-knowledge-node.md).

# List Agents Using Knowledge Node

List agents that use the given knowledge-base node as a branch scope.

Returns a paginated list of agents sorted alphabetically (A-Z). Each item includes the agent's id, identifier, name and enabled status.

404 if the node does not exist in the caller's organisation.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"AgentsUsingKnowledgeNodeListResponseSchema":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AgentUsingKnowledgeNodeResponseSchema"},"type":"array","title":"Data"},"count":{"type":"integer","title":"Count"},"total_count":{"type":"integer","title":"Total Count"}},"type":"object","required":["data","count","total_count"],"title":"AgentsUsingKnowledgeNodeListResponseSchema","description":"Response schema for listing agents that use a given knowledge-base node."},"AgentUsingKnowledgeNodeResponseSchema":{"properties":{"id":{"type":"integer","title":"Id"},"identifier":{"type":"string","title":"Identifier"},"name":{"type":"string","title":"Name"},"is_enabled":{"type":"boolean","title":"Is Enabled"}},"type":"object","required":["id","identifier","name","is_enabled"],"title":"AgentUsingKnowledgeNodeResponseSchema","description":"Response schema for an agent that uses a given knowledge-base node."}}},"paths":{"/api/v1/knowledge-base/nodes/{node_id}/agents":{"get":{"tags":["knowledge-base","public"],"summary":"List Agents Using Knowledge Node","description":"List agents that use the given knowledge-base node as a branch scope.\n\nReturns a paginated list of agents sorted alphabetically (A-Z). Each item\nincludes the agent's id, identifier, name and enabled status.\n\n404 if the node does not exist in the caller's organisation.","operationId":"knowledge-base-list_agents_using_knowledge_node","parameters":[{"name":"node_id","in":"path","required":true,"schema":{"type":"integer","title":"Node Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Skip"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":500,"minimum":1,"default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentsUsingKnowledgeNodeListResponseSchema"}}}},"400":{"description":"Invalid request payload or parameters","content":{"application/json":{}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
